/*
 * Copyright (c) 2012-2015 Kaarle Ritvanen
 * See LICENSE file for license details
 */

define(["jquery", "jquery-blockui"], function($) {
    var enabled = false;

    return {
	enable: function() {
	    $.blockUI();
	    enabled = true;
	},
	disable: function() {
	    $.unblockUI();
	    enabled = false;
	},
	isEnabled: function() { return enabled; }
    };
});
